<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.finos.legend.showcase</groupId>
    <artifactId>showcase2</artifactId>
    <version>0.0.1-SNAPSHOT</version>
  </parent>
  <groupId>org.finos.legend.showcase</groupId>
  <artifactId>showcase2-entities</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <dependencies>
    <dependency>
      <groupId>com.fasterxml.jackson.core</groupId>
      <artifactId>jackson-databind</artifactId>
      <version>2.10.5</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.12</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.finos.legend.engine</groupId>
      <artifactId>legend-engine-extensions-collection-execution</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.finos.legend.engine</groupId>
      <artifactId>legend-engine-extensions-collection-generation</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.finos.legend.sdlc</groupId>
      <artifactId>legend-sdlc-test-utils</artifactId>
      <scope>test</scope>
    </dependency>
  </dependencies>
  <build>
    <plugins>
      <plugin>
        <groupId>org.finos.legend.sdlc</groupId>
        <artifactId>legend-sdlc-entity-maven-plugin</artifactId>
        <executions>
          <execution>
            <phase>compile</phase>
            <goals>
              <goal>process-entities</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <sourceDirectories>
            <sourceDirectory>
              <directory>src/main/pure</directory>
            </sourceDirectory>
            <sourceDirectory>
              <directory>src/main/legend</directory>
            </sourceDirectory>
          </sourceDirectories>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.finos.legend.sdlc</groupId>
        <artifactId>legend-sdlc-generation-model-maven-plugin</artifactId>
        <executions>
          <execution>
            <phase>compile</phase>
            <goals>
              <goal>generate-model-generations</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <inclusions>
            <directories>
              <directory>${project.parent.basedir}/showcase2-entities/target/classes</directory>
            </directories>
          </inclusions>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-surefire-plugin</artifactId>
        <configuration>
          <includes>
            <include>**/Test*.java</include>
            <include>**/*Test.java</include>
            <include>**/*Tests.java</include>
            <include>**/*TestCase.java</include>
            <include>**/*TestSuite.java</include>
          </includes>
          <useSystemClassLoader>false</useSystemClassLoader>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
